Endpoints 33
- Get all available integrationsGET
/api/integrations/available - Get all available integrations (no auth for testing)GET
/api/integrations - Get user's configured integrationsGET
/api/integrations/user - Get integration detailsGET
/api/integrations/{integrationId} - Remove an integrationDEL
/api/integrations/{integrationId} - Setup a new integrationPOST
/api/integrations/{integrationId}/setup - Update integration configurationPUT
/api/integrations/{integrationId}/update - Enable or disable an integrationPOST
/api/integrations/{integrationId}/toggle - Execute an integration actionPOST
/api/integrations/{integrationId}/execute - Check integration healthGET
/api/integrations/{integrationId}/health - Get integration logsGET
/api/integrations/{integrationId}/logs - Test integration configurationPOST
/api/integrations/{integrationId}/test - Get integration usage statisticsGET
/api/integrations/stats/overview - Poll Lead Perfection workspaces for latest call resultsPOST
/internal/triggers/leadperfection/process-due - LeadPerfection open periods for an event type (calendar worker only)GET
/api/leadperfection/forward-look/internal/availability - Verify an lp slot id and confirm the period is still open (calendar worker only)POST
/api/leadperfection/forward-look/internal/resolve-slot - Book a signed LeadPerfection offer exactly once (calendar worker only)POST
/api/leadperfection/forward-look/internal/bookings - Trigger Lead Perfection call-result sync for one contactPOST
/api/integrations/leadperfection/sync/trigger - Poll Lead Perfection for workspace call-result changesPOST
/api/integrations/leadperfection/sync/workspace-poll - Get Lead Perfection sync statusGET
/api/integrations/leadperfection/sync/status - Read workspace sync freshness and scheduleGET
/api/integrations/leadperfection/sync/health - Get latest raw Lead Perfection GetLead payloadGET
/api/integrations/leadperfection/raw-lead - List Lead Perfection contacts for a workspaceGET
/api/integrations/leadperfection/contact-list - Get Lead Perfection contact summaryGET
/api/integrations/leadperfection/contact-summary - List Lead Perfection call-history code tables for a workspaceGET
/api/integrations/leadperfection/disposition-codes - Read the workspace's Add Call History defaultsGET
/api/integrations/leadperfection/call-history-defaults - Save the workspace's Add Call History defaultsPUT
/api/integrations/leadperfection/call-history-defaults - Call queues suggested from the workspace's Lead Perfection call-queue tableGET
/api/integrations/leadperfection/call-queue-suggestions - Re-read Lead Perfection's call-queue table and reconcile suggestionsPOST
/api/integrations/leadperfection/call-queue-suggestions/refresh - Count contacts by their latest Lead Perfection call result codeGET
/api/integrations/leadperfection/result-rules/code-counts - List OAuth connectionsGET
/api/oauth/connections - Create or replace an OAuth connectionPOST
/api/oauth/connections - Test an OAuth connectionPOST
/api/oauth/connections/{id}/test
